complexType "TimeDimension"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | date?, tenor?
</...>

Content Model Elements (2):

  date (defined in TimeDimension complexType), | tenor

All Direct / Indirect Based Elements (4):

  expiration, term (in coordinate), | term (in point defined in TermCurve complexType), term (in sensitivityDefinition)

Known Usage Locations

- As direct type of elements (4):

  expiration, term (in coordinate), | term (in point defined in TermCurve complexType), term (in sensitivityDefinition)

Annotation
The time dimensions of a term-structure. The user must supply either a tenor or a date or both.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="TimeDimension"> <xsd:choice> <!--View Generation: SKIPPED tenor - Technical--> <xsd:sequence> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="tenor" type="Period"/> </xsd:sequence> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
date

  Type: | xsd:date, predefined, simple content

  The absolute date corresponding to this term point, for example January 3, 2005.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="date" type="xsd:date"/>

tenor

  Type: | Period, complex content

  The amount of time from the base date of the pricing input to the specified term point, e.g. 6M or 5Y.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenor" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.